Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.brook
Class CooperateDefectStyleColorProvider

    java.lang.Object
      edu.brook.CooperateDefectStyleColorProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IColorProvider

    public class CooperateDefectStyleColorProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IColorProvider

Cooperate Defect Style Java Implementation. Generated by AMF for model: DemographicPrisoner_sDilemma.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`CooperateDefectStyleColorProvider()`

Method Summary
`org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object object)` Provides a background color for the given Player.
`org.eclipse.swt.graphics.Color` | `getColor(java.lang.Object object, boolean fill)` Provides a color for Player based on wether we want to fill or not.
`static org.eclipse.jface.viewers.IColorProvider` | `getDefault()`
`org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object object)` Provides a foreground color for the given Player.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CooperateDefectStyleColorProvider

    public CooperateDefectStyleColorProvider()

Method Detail

### getColor

    public org.eclipse.swt.graphics.Color getColor(java.lang.Object object,
                                                   boolean fill)

  Provides a color for Player based on wether we want to fill or not.

  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object object)

  Provides a foreground color for the given Player.

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object object)

  Provides a background color for the given Player.

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the background color for the element, or `null` to use the default background color

### getDefault

    public static org.eclipse.jface.viewers.IColorProvider getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD